<div id="cart" class="overlay">
  <a id="close-button" class="closebtn">&times;</a>
  <div class="overlay-content">
    <header class="header">
      <h1 class="text">Your Cart</h1>
    </header>

    <main id="products-list" class="products-container"></main>
    <footer class="footer">
      <h1 class="text">Total: $<span id="total-value"></span></h1>
      <button id="checkout-button" class="checkout-button">Checkout</button>
    </footer>
  </div>
</div>

<style>
  .header {
    height: 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .products-container {
    width: 100%;
    height: 75%;
    overflow-y: scroll;
  }

  .footer {
    height: 15%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .text {
    color: white;
  }

  .checkout-button {
    height: 30px;
    border-radius: 5px;
    border: 1px solid black;
  }

  .overlay {
    height: 100%;
    width: 30%;
    display: flex;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 70%;
    background-color: rgba(0, 0, 0, 0.9);
  }

  .overlay-content {
    width: 100%;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    align-items: center;
  }

  .closebtn {
    padding: 8px;
    text-decoration: none;
    color: #818181;
    display: block;
    position: absolute;
    right: 0px;
    font-size: 60px;
    cursor: pointer;
  }
</style>
